OGRE: Ogre::RTShader::ShaderGenerator::SGPass Class Reference - OGRE Documentation

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes

# Ogre::RTShader::ShaderGenerator::SGPass Class Reference

Shader generator pass wrapper class. More...

`#include <OgreShaderGenerator.h>`

Inheritance diagram for Ogre::RTShader::ShaderGenerator::SGPass:
[legend]

List of all members.

## Public Member Functions
| SGPass (SGTechnique *parent, Pass *srcPass, Pass *dstPass)
| ~SGPass ()
void | buildTargetRenderState ()
| Build the render state.
void | acquirePrograms ()
| Acquire the CPU/GPU programs for this pass.
void | releasePrograms ()
| Release the CPU/GPU programs of this pass.
void | notifyRenderSingleObject (Renderable *rend, const AutoParamDataSource *source, const LightList *pLightList, bool suppressRenderStateChanges)
| Called when a single object is about to be rendered.
Pass * | getSrcPass ()
| Get source pass.
Pass * | getDstPass ()
| Get destination pass.
SubRenderState * | getCustomFFPSubState (int subStateOrder)
| Get custom FPP sub state of this pass.
RenderState * | getCustomRenderState ()
| Get custom render state of this pass.
void | setCustomRenderState (RenderState *customRenderState)
| Set the custom render state of this pass.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Attributes
static String | UserKey
## Protected Member Functions
SubRenderState * | getCustomFFPSubState (int subStateOrder, const RenderState *renderState)
## Protected Attributes
SGTechnique * | mParent
Pass * | mSrcPass
Pass * | mDstPass
RenderState * | mCustomRenderState
TargetRenderState * | mTargetRenderState

## Detailed Description

Shader generator pass wrapper class.

Definition at line 375 of file OgreShaderGenerator.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ShaderGenerator::SGPass::SGPass | ( | SGTechnique * | parent,
|  | Pass * | srcPass,
|  | Pass * | dstPass |
| ) |  |  |

Ogre::RTShader::ShaderGenerator::SGPass::~SGPass | ( |  | ) |

## Member Function Documentation

void Ogre::RTShader::ShaderGenerator::SGPass::acquirePrograms | ( |  | ) |

Acquire the CPU/GPU programs for this pass.

void Ogre::RTShader::ShaderGenerator::SGPass::buildTargetRenderState | ( |  | ) |

Build the render state.

SubRenderState* Ogre::RTShader::ShaderGenerator::SGPass::getCustomFFPSubState | ( | int | subStateOrder,
|  | const RenderState * | renderState |
| ) |  |  | `[protected]`

SubRenderState* Ogre::RTShader::ShaderGenerator::SGPass::getCustomFFPSubState | ( | int | subStateOrder | ) |

Get custom FPP sub state of this pass.

RenderState* Ogre::RTShader::ShaderGenerator::SGPass::getCustomRenderState | ( |  | ) |

Get custom render state of this pass.

Definition at line 404 of file OgreShaderGenerator.h.

Pass* Ogre::RTShader::ShaderGenerator::SGPass::getDstPass | ( |  | ) |

Get destination pass.

Definition at line 398 of file OgreShaderGenerator.h.

Pass* Ogre::RTShader::ShaderGenerator::SGPass::getSrcPass | ( |  | ) |

Get source pass.

Definition at line 395 of file OgreShaderGenerator.h.

void Ogre::RTShader::ShaderGenerator::SGPass::notifyRenderSingleObject | ( | Renderable * | rend,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList,
|  | bool | suppressRenderStateChanges |
| ) |  |  |

Called when a single object is about to be rendered.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::RTShader::ShaderGenerator::SGPass::releasePrograms | ( |  | ) |

Release the CPU/GPU programs of this pass.

void Ogre::RTShader::ShaderGenerator::SGPass::setCustomRenderState | ( | RenderState * | customRenderState | ) |

Set the custom render state of this pass.

Definition at line 407 of file OgreShaderGenerator.h.

## Member Data Documentation

RenderState* Ogre::RTShader::ShaderGenerator::SGPass::mCustomRenderState`[protected]`

Definition at line 418 of file OgreShaderGenerator.h.

Pass* Ogre::RTShader::ShaderGenerator::SGPass::mDstPass`[protected]`

Definition at line 417 of file OgreShaderGenerator.h.

SGTechnique* Ogre::RTShader::ShaderGenerator::SGPass::mParent`[protected]`

Definition at line 415 of file OgreShaderGenerator.h.

Pass* Ogre::RTShader::ShaderGenerator::SGPass::mSrcPass`[protected]`

Definition at line 416 of file OgreShaderGenerator.h.

TargetRenderState* Ogre::RTShader::ShaderGenerator::SGPass::mTargetRenderState`[protected]`

Definition at line 419 of file OgreShaderGenerator.h.

String Ogre::RTShader::ShaderGenerator::SGPass::UserKey`[static]`

Definition at line 409 of file OgreShaderGenerator.h.

The documentation for this class was generated from the following file:

- OgreShaderGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05